Skip to content

nodes / network ​

7 operations.

GET /nodes/{node}/network ​

ts
proxmox.nodes.$(node).network.$get()

List available networks

Returns an array of object.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node
typebridge | bond | eth | alias | vlan | fabric | OVSBridge | OVSBond | … (6 more)Only list specific interface types.

POST /nodes/{node}/network ​

ts
proxmox.nodes.$(node).network.$post()

Create network device configuration

Returns nothing.

ParameterTypeRequiredNotes
addressstringIP address. — format ipv4
address6stringIP address. — format ipv6
autostartbooleanAutomatically start interface on boot.
bond-primarystringSpecify the primary interface for active-backup bond. — format pve-iface
bond_modebalance-rr | active-backup | balance-xor | broadcast | 802.3ad | balance-tlb | balance-alb | balance-slb | … (2 more)Bonding mode.
bond_xmit_hash_policylayer2 | layer2+3 | layer3+4Selects the transmit hash policy to use for slave selection in balance-xor and 802.3ad modes.
bridge_portsstringSpecify the interfaces you want to add to your bridge. — format pve-iface-list
bridge_vidsstringSpecify the allowed VLANs. For example: '2 4 100-200'. Only used if the bridge is VLAN aware. — format pve-vlan-id-or-range-list
bridge_vlan_awarebooleanEnable bridge vlan support.
cidrstringIPv4 CIDR. — format CIDRv4
cidr6stringIPv6 CIDR. — format CIDRv6
commentsstringComments
comments6stringComments
gatewaystringDefault gateway address. — format ipv4
gateway6stringDefault ipv6 gateway address. — format ipv6
ifacestringyesNetwork interface name. — format pve-iface, ≤ 20 chars
mtunumberMTU. — min 1280, max 65520
netmaskstringNetwork mask. — format ipv4mask
netmask6numberNetwork mask. — min 0, max 128
nodestringyesThe cluster node name. — format pve-node
ovs_bondsstringSpecify the interfaces used by the bonding device. — format pve-iface-list
ovs_bridgestringThe OVS bridge associated with a OVS port. This is required when you create an OVS port. — format pve-iface
ovs_optionsstringOVS interface options. — ≤ 1024 chars
ovs_portsstringSpecify the interfaces you want to add to your bridge. — format pve-iface-list
ovs_tagnumberSpecify a VLan tag (used by OVSPort, OVSIntPort, OVSBond) — min 1, max 4094
slavesstringSpecify the interfaces used by the bonding device. — format pve-iface-list
typebridge | bond | eth | alias | vlan | fabric | OVSBridge | OVSBond | … (4 more)yesNetwork interface type
vlan-idnumbervlan-id for a custom named vlan interface (ifupdown2 only). — min 1, max 4094
vlan-raw-devicestringSpecify the raw interface for the vlan interface. — format pve-iface

PUT /nodes/{node}/network ​

ts
proxmox.nodes.$(node).network.$put()

Reload network configuration

Returns string.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node
regenerate-frrbooleanWhether FRR config generation should get skipped or not. — default 0

DELETE /nodes/{node}/network ​

ts
proxmox.nodes.$(node).network.$delete()

Revert network configuration changes.

Returns nothing.

ParameterTypeRequiredNotes
nodestringyesThe cluster node name. — format pve-node

GET /nodes/{node}/network/{iface} ​

ts
proxmox.nodes.$(node).network.$(iface).$get()

Read network device configuration

Returns object.

ParameterTypeRequiredNotes
ifacestringyesNetwork interface name. — format pve-iface, ≤ 20 chars
nodestringyesThe cluster node name. — format pve-node

PUT /nodes/{node}/network/{iface} ​

ts
proxmox.nodes.$(node).network.$(iface).$put()

Update network device configuration

Returns nothing.

ParameterTypeRequiredNotes
addressstringIP address. — format ipv4
address6stringIP address. — format ipv6
autostartbooleanAutomatically start interface on boot.
bond-primarystringSpecify the primary interface for active-backup bond. — format pve-iface
bond_modebalance-rr | active-backup | balance-xor | broadcast | 802.3ad | balance-tlb | balance-alb | balance-slb | … (2 more)Bonding mode.
bond_xmit_hash_policylayer2 | layer2+3 | layer3+4Selects the transmit hash policy to use for slave selection in balance-xor and 802.3ad modes.
bridge_portsstringSpecify the interfaces you want to add to your bridge. — format pve-iface-list
bridge_vidsstringSpecify the allowed VLANs. For example: '2 4 100-200'. Only used if the bridge is VLAN aware. — format pve-vlan-id-or-range-list
bridge_vlan_awarebooleanEnable bridge vlan support.
cidrstringIPv4 CIDR. — format CIDRv4
cidr6stringIPv6 CIDR. — format CIDRv6
commentsstringComments
comments6stringComments
deletestringA list of settings you want to delete. — format pve-configid-list
gatewaystringDefault gateway address. — format ipv4
gateway6stringDefault ipv6 gateway address. — format ipv6
ifacestringyesNetwork interface name. — format pve-iface, ≤ 20 chars
mtunumberMTU. — min 1280, max 65520
netmaskstringNetwork mask. — format ipv4mask
netmask6numberNetwork mask. — min 0, max 128
nodestringyesThe cluster node name. — format pve-node
ovs_bondsstringSpecify the interfaces used by the bonding device. — format pve-iface-list
ovs_bridgestringThe OVS bridge associated with a OVS port. This is required when you create an OVS port. — format pve-iface
ovs_optionsstringOVS interface options. — ≤ 1024 chars
ovs_portsstringSpecify the interfaces you want to add to your bridge. — format pve-iface-list
ovs_tagnumberSpecify a VLan tag (used by OVSPort, OVSIntPort, OVSBond) — min 1, max 4094
slavesstringSpecify the interfaces used by the bonding device. — format pve-iface-list
typebridge | bond | eth | alias | vlan | fabric | OVSBridge | OVSBond | … (4 more)yesNetwork interface type
vlan-idnumbervlan-id for a custom named vlan interface (ifupdown2 only). — min 1, max 4094
vlan-raw-devicestringSpecify the raw interface for the vlan interface. — format pve-iface

DELETE /nodes/{node}/network/{iface} ​

ts
proxmox.nodes.$(node).network.$(iface).$delete()

Delete network device configuration

Returns nothing.

ParameterTypeRequiredNotes
ifacestringyesNetwork interface name. — format pve-iface, ≤ 20 chars
nodestringyesThe cluster node name. — format pve-node